using Misc;
using MultiLayout.UiModule;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Unity;

namespace FLY.Thick.Base.UI.OnInit
{
    public class OnInitLcus1_Multi : IOnInit
    {
        public int Level { get; private set; }

        ParamDictionary paramDictionary;
        LCUS1 lcus1;
        WarningSystemManager warningSystemManager;
        public OnInitLcus1_Multi(
            ParamDictionary paramDictionary,
            WarningSystemManager warningSystemManager,
            LCUS1 lcus1,
            int lv = 1)
        {
            Level = lv;
            this.lcus1 = lcus1;
            this.paramDictionary = paramDictionary;
            this.warningSystemManager = warningSystemManager;
        }

        public void OnInit()
        {
            warningSystemManager.PropertyChanged += (s, e) =>
            {
                if (e.PropertyName == nameof(warningSystemManager.IsRinging))
                {
                    if (this.paramDictionary.GetValue(ParamDistItemKeys.LCUS1_Enable, false))
                    {
                        if (warningSystemManager.IsRinging)
                            lcus1.On();
                        else
                            lcus1.Off();
                    }
                }
            };
        }
    }
}
